
From: Anton Blanchard <anton@samba.org>



---

 25-akpm/kernel/sched.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-many-cpus-build-fix kernel/sched.c
--- 25/kernel/sched.c~sched-many-cpus-build-fix	Tue Feb 17 16:56:09 2004
+++ 25-akpm/kernel/sched.c	Tue Feb 17 16:56:09 2004
@@ -3258,8 +3258,9 @@ static void __init arch_init_sched_domai
 		int j;
 		cpumask_t nodemask;
 		struct sched_group *node = &sched_group_nodes[i];
+		cpumask_t tmp = node_to_cpumask(i);
 
-		cpus_and(nodemask, node_to_cpumask(i), cpu_online_map);
+		cpus_and(nodemask, tmp, cpu_online_map);
 
 		if (cpus_empty(nodemask))
 			continue;

_
